

Switch the m68k pointer-table code over to page->lru.



---

 25-akpm/arch/m68k/mm/memory.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN arch/m68k/mm/memory.c~m68k-stop-using-page-list arch/m68k/mm/memory.c
--- 25/arch/m68k/mm/memory.c~m68k-stop-using-page-list	2004-03-23 09:39:17.212548984 -0800
+++ 25-akpm/arch/m68k/mm/memory.c	2004-03-23 09:39:31.179425696 -0800
@@ -29,8 +29,8 @@
 typedef struct list_head ptable_desc;
 static LIST_HEAD(ptable_list);
 
-#define PD_PTABLE(page) ((ptable_desc *)&(virt_to_page(page)->list))
-#define PD_PAGE(ptable) (list_entry(ptable, struct page, list))
+#define PD_PTABLE(page) ((ptable_desc *)&(virt_to_page(page)->lru))
+#define PD_PAGE(ptable) (list_entry(ptable, struct page, lru))
 #define PD_MARKBITS(dp) (*(unsigned char *)&PD_PAGE(dp)->index)
 
 #define PTABLE_SIZE (PTRS_PER_PMD * sizeof(pmd_t))

_
